env:
    TERM: xterm-256color

  
scrolling:
    history: 5000

window:
 padding:
    x: 0
    y: 0
    draw_bold_text_with_bright_colors: true

colors:
  # Default colors
  #primary:
    #background: '#000000'
    #background: '#1B1B1B'
    #foreground: '0xf8f8f2'
  primary:
    background: '#030303'
    foreground: '#f1ebeb' #uoou


  cursor:
    style:
      shape: Block
      blinking: On
        #text: '0x44475a'
        #cursor: '0xf8f8f2'

  # Selection colors
  #
  # Colors which should be used to draw the selection area. If selection
  # background is unset, selection color will be the inverse of the cell colors.
  # If only text is unset the cell text color will remain the same.
  selection:
    text: '0xf8f8f2'
    background: '0x44475a'
  normal:
        black: '#252525'
        red: '#ff009e'
        green: '#6fff00'
        yellow: '#d5ff00'
        magenta: '#00ffc2'
        blue: '#ff00d4'
        cyan: '#00fff0'
        white: '#ffffff'
  bright:
        black: '#535353'
        red: '#ff009e'
        green: '#6fff00'
        yellow: '#d5ff00'
        magenta: '#00ffc2'
        blue: '#ff00d4'
        cyan: '#00fff0'
        white: '#ffffff'

  # Normal colors
  # normal:
    #  black:   '0x000000'
    #red:     '0xff5555'
    #green:   '0x50fa7b'
    #yellow:  '0xf1fa8c'
    #magenta:    '0xbd93f9'
    #blue: '0xff79c6'
    #cyan:    '0x8be9fd'
    #white:   '0xbfbfbf'

  # Bright colors
  #bright:
  #  black:   '0x4d4d4d'
  #  red:     '0xff6e67'
  #  green:   '0x5af78e'
  #  yellow:  '0xf4f99d'
  #  magenta:    '0xcaa9fa'
  #  blue: '0xff92d0'
  #  cyan:    '0x9aedfe'
  #  white:   '0xe6e6e6'

  # Dim colors
  #
  # If the dim colors are not set, they will be calculated automatically based
  # on the `normal` colors.
  dim:
    black:   '0x14151b'
    red:     '0xff2222'
    green:   '0x1ef956'
    yellow:  '0xebf85b'
    blue:    '0x4d5b86'
    magenta: '0xff46b0'
    cyan:    '0x59dffc'
    white:   '0xe6e6d1'

  # Indexed Colors
  #
  # The indexed colors include all colors from 16 to 256.
  # When these are not set, they're filled with sensible defaults.
  #
  # Example:
  #   `- { index: 16, color: '0xff00ff' }`
  #
  indexed_colors: []

font:
  normal:
    #family: IBM Plex Mono
    family: Source Code Pro
    #family: BlexMono Nerd Font
    #family: Fira Code
    #family: Blex Mono Bold Nerd Font Complete
    #family: Comic Code Ligatures
    style:  
  size: 12

  url:
    # URL launcher
    #
    # This program is executed when clicking on a text which is recognized as a URL.
    # The URL is always added to the command as the last parameter.
    launcher: xdg-open
# Key bindings
Key_bindings:
    - { key: Equals,   mods: Super, action: IncreaseFontSize }
    - { key: Subtract, mods: Super, action: DecreaseFontSize }
    - { key: Key0,     mods: Super, action: ResetFontSize    }
    - { key: PageUp,   mods: Shift,   action: ScrollPageUp   }
    - { key: PageDown, mods: Shift,   action: ScrollPageDown }
    - { key: End,      mods: Shift,   action: ScrollToBottom }
    - { key: Home,     mods: Shift,   action: ScrollToTop    }
    - { key: V,        mods: Control|Alt,  action: Paste       }
    - { key: C,        mods: Control|Alt,  action: Copy        }
    - { key: Return,   mods: Control, action: SpawnNewInstance }
    - { key: T,        mods: Control, action: SpawnNewInstance }
